Employees

Update salary

PUT
/api/public/v3/employees/{employee_id}/salaries/{id}

Path Parameters

employee_id*integer
id*integer

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/public/v3/employees/0/salaries/0" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'effective_on=string&amount=string&currency_code=string&per=string&comment=string'
{  "data": {    "id": 0,    "effective_on": "string",    "amount": "string",    "currency_code": "string",    "per": "string",    "overtime": true,    "comment": "string",    "created_at": "string",    "updated_at": "string",    "pay_schedule": null  }}